<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vr="http://www.istandaarden.nl/validatie/1_1/rapport/schema">
	<!-- iJw 3.0 JW315 (2021-01-25) -->

	<xsl:import href="common/basis.xsl" />
	<xsl:include href="condities/CD007.xsl" />
	<xsl:include href="condities/CD025.xsl" />
	<xsl:include href="condities/CD041.xsl" />
	<xsl:include href="condities/CD043.xsl" />
	<xsl:include href="condities/CD066.xsl" />
	<xsl:include href="condities/CD067.xsl" />
	<xsl:include href="condities/CD068.xsl" />
	<xsl:include href="condities/CD076.xsl" />
	<xsl:include href="condities/CD080.xsl" />
	<xsl:include href="condities/CD081.xsl" />
	<xsl:include href="constraints/CS002.xsl" />
	<xsl:include href="constraints/CS003.xsl" />
	<xsl:include href="constraints/CS023.xsl" />
	<xsl:include href="constraints/CS050.xsl" />
	<xsl:include href="constraints/CS089.xsl" />
	<xsl:include href="constraints/CS104.xsl" />
	<xsl:include href="constraints/CS323.xsl" />
	<xsl:include href="constraints/CS330.xsl" />
	<xsl:include href="rules/TR002.xsl" />
	<xsl:include href="rules/TR097.xsl" />
	<xsl:include href="rules/TR101.xsl" />

	<xsl:template match="*" mode="check" priority="0">
		<xsl:apply-templates select="." mode="CD007"/>
		<xsl:apply-templates select="." mode="CD025"/>
		<xsl:apply-templates select="." mode="CD041"/>
		<xsl:apply-templates select="." mode="CD043"/>
		<xsl:apply-templates select="." mode="CD066"/>
		<xsl:apply-templates select="." mode="CD067"/>
		<xsl:apply-templates select="." mode="CD068"/>
		<xsl:apply-templates select="." mode="CD076"/>
		<xsl:apply-templates select="." mode="CD080"/>
		<xsl:apply-templates select="." mode="CD081"/>
		<xsl:apply-templates select="." mode="CS002"/>
		<xsl:apply-templates select="." mode="CS003"/>
		<xsl:apply-templates select="." mode="CS023"/>
		<xsl:apply-templates select="." mode="CS050"/>
		<xsl:apply-templates select="." mode="CS089"/>
		<xsl:apply-templates select="." mode="CS104"/>
		<xsl:apply-templates select="." mode="CS323"/>
		<xsl:apply-templates select="." mode="CS330"/>
		<xsl:apply-templates select="." mode="TR002"/>
		<xsl:apply-templates select="." mode="TR097"/>
		<xsl:apply-templates select="." mode="TR101"/>
	</xsl:template>

	<xsl:variable name="versionInfo">
		<vr:XSLTHeader>
			<vr:Standaard>ijw</vr:Standaard>
			<vr:StandaardRelease>3.0</vr:StandaardRelease>
			<vr:XSLTVersie>2.2.8</vr:XSLTVersie>
		</vr:XSLTHeader>
	</xsl:variable>
</xsl:stylesheet>
