<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ijw="http://www.istandaarden.nl/ijw/3_0/basisschema/schema"
                xmlns:jw303="http://www.istandaarden.nl/ijw/3_0/jw303/schema"
                xmlns:jw304="http://www.istandaarden.nl/ijw/3_0/jw304/schema"
                >

    <!-- iJw 3.0 CD055 version 2.2.8 (2021-01-25) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CD055"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CD055"/>
    </xsl:template>

    <xsl:template match="jw303:IngediendeBedragPrestatie" mode="CD055">
        <xsl:if test="normalize-space(ijw:BtwVrijstellingIndicatie/text())='2'">
            <xsl:call-template name="checkvalue">
                <xsl:with-param name="pThis" select="ijw:BtwPercentage"/>
                <xsl:with-param name="pValues">*</xsl:with-param>
                <xsl:with-param name="pRule">CD055</xsl:with-param>
                <xsl:with-param name="pExtra" select="ijw:BtwVrijstellingIndicatie"></xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="checkvalue">
                <xsl:with-param name="pThis" select="ijw:BtwBedrag/ijw:Bedrag"/>
                <xsl:with-param name="pValues">*</xsl:with-param>
                <xsl:with-param name="pRule">CD055</xsl:with-param>
                <xsl:with-param name="pExtra" select="ijw:BtwVrijstellingIndicatie"></xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="checkvalue">
                <xsl:with-param name="pThis" select="ancestor-or-self::jw303:Bericht/jw303:Header//ijw:BtwIDNummer"/>
                <xsl:with-param name="pValues">*</xsl:with-param>
                <xsl:with-param name="pRule">CD055</xsl:with-param>
                <xsl:with-param name="pExtra" select="ijw:BtwVrijstellingIndicatie"></xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="checkvalue">
                <xsl:with-param name="pThis" select="ancestor-or-self::jw303:Bericht/jw303:Header//ijw:BtwTotaalBedrag/ijw:TotaalBedrag"/>
                <xsl:with-param name="pValues">*</xsl:with-param>
                <xsl:with-param name="pRule">CD055</xsl:with-param>
                <xsl:with-param name="pExtra" select="ijw:BtwVrijstellingIndicatie"></xsl:with-param>
            </xsl:call-template>
        </xsl:if>
    </xsl:template>
    
    <xsl:template match="jw304:IngediendeBedragPrestatie" mode="CD055">
        <xsl:if test="normalize-space(ijw:BtwVrijstellingIndicatie/text())='2'">
            <xsl:call-template name="checkvalue">
                <xsl:with-param name="pThis" select="ijw:BtwPercentage"/>
                <xsl:with-param name="pValues">*</xsl:with-param>
                <xsl:with-param name="pRule">CD055</xsl:with-param>
                <xsl:with-param name="pExtra" select="ijw:BtwVrijstellingIndicatie"></xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="checkvalue">
                <xsl:with-param name="pThis" select="ijw:BtwBedrag/ijw:Bedrag"/>
                <xsl:with-param name="pValues">*</xsl:with-param>
                <xsl:with-param name="pRule">CD055</xsl:with-param>
                <xsl:with-param name="pExtra" select="ijw:BtwVrijstellingIndicatie"></xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="checkvalue">
                <xsl:with-param name="pThis" select="ancestor-or-self::jw304:Bericht/jw304:Header//ijw:BtwIDNummer"/>
                <xsl:with-param name="pValues">*</xsl:with-param>
                <xsl:with-param name="pRule">CD055</xsl:with-param>
                <xsl:with-param name="pExtra" select="ijw:BtwVrijstellingIndicatie"></xsl:with-param>
            </xsl:call-template>
        </xsl:if>
    </xsl:template>

</xsl:stylesheet>
