<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ijw="http://www.istandaarden.nl/ijw/3_0/basisschema/schema"
                xmlns:jw303="http://www.istandaarden.nl/ijw/3_0/jw303/schema"
                xmlns:jw304="http://www.istandaarden.nl/ijw/3_0/jw304/schema"
                >

    <!-- iJw 3.0 CD056 version 2.2.8 (2021-01-25) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CD056"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CD056"/>
    </xsl:template>

    <xsl:template match="jw303:IngediendeBedragPrestatie" mode="CD056">
        <xsl:if test="normalize-space(ijw:BtwVrijstellingIndicatie/text())='1'">
            <xsl:call-template name="checkempty">
                <xsl:with-param name="pThis" select="ijw:BtwPercentage"/>
                <xsl:with-param name="pRule">CD056</xsl:with-param>
                <!--<xsl:with-param name="pExtra" select="ijw:BtwVrijstellingIndicatie"/>-->
            </xsl:call-template>
            <xsl:call-template name="checkempty">
                <xsl:with-param name="pThis" select="ijw:BtwBedrag/ijw:Bedrag"/>
                <xsl:with-param name="pRule">CD056</xsl:with-param>
                <!--<xsl:with-param name="pExtra" select="ijw:BtwVrijstellingIndicatie"></xsl:with-param>-->
            </xsl:call-template>
        </xsl:if>
    </xsl:template>
    
    <xsl:template match="jw304:IngediendeBedragPrestatie" mode="CD056">
        <xsl:if test="normalize-space(ijw:BtwVrijstellingIndicatie/text())='1'">
            <xsl:call-template name="checkempty">
                <xsl:with-param name="pThis" select="ijw:BtwPercentage"/>
                <xsl:with-param name="pRule">CD056</xsl:with-param>
                <!--<xsl:with-param name="pExtra" select="ijw:BtwVrijstellingIndicatie"/>-->
            </xsl:call-template>
            <xsl:call-template name="checkempty">
                <xsl:with-param name="pThis" select="ijw:BtwBedrag/ijw:Bedrag"/>
                <xsl:with-param name="pRule">CD056</xsl:with-param>
                <!--<xsl:with-param name="pExtra" select="ijw:BtwVrijstellingIndicatie"></xsl:with-param>-->
            </xsl:call-template>
        </xsl:if>
    </xsl:template>

</xsl:stylesheet>
	