<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ijw="http://www.istandaarden.nl/ijw/3_0/basisschema/schema"
	xmlns:jw301="http://www.istandaarden.nl/ijw/3_0/jw301/schema"
	xmlns:jw317="http://www.istandaarden.nl/ijw/3_0/jw317/schema"
	>

	<!-- iJw 3.0 CD075 version 2.2.8 (2021-01-25) -->

	<xsl:import href="../common/basis.xsl" />
	<xsl:template match="*" mode="CD075" />
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD075" />
	</xsl:template>

	<xsl:template match="jw301:ToegewezenProduct//jw301:Budget" mode="CD075">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pValue1">*</xsl:with-param>
			<xsl:with-param name="pOther" select="ancestor-or-self::jw301:ToegewezenProduct/jw301:Einddatum" />
			<xsl:with-param name="pValue2">*</xsl:with-param>
			<xsl:with-param name="pRule">CD075</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template match="jw317:TeWijzigenProduct//jw317:Budget" mode="CD075">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pValue1">*</xsl:with-param>
			<xsl:with-param name="pOther" select="ancestor-or-self::jw317:TeWijzigenProduct/jw317:Einddatum" />
			<xsl:with-param name="pValue2">*</xsl:with-param>
			<xsl:with-param name="pRule">CD075</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="jw317:NieuwProduct//jw317:Budget" mode="CD075">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pValue1">*</xsl:with-param>
			<xsl:with-param name="pOther" select="ancestor-or-self::jw317:NieuwProduct/jw317:Einddatum" />
			<xsl:with-param name="pValue2">*</xsl:with-param>
			<xsl:with-param name="pRule">CD075</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
