<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ijw="http://www.istandaarden.nl/ijw/3_0/basisschema/schema"
	xmlns:jw303="http://www.istandaarden.nl/ijw/3_0/jw303/schema"
	xmlns:jw304="http://www.istandaarden.nl/ijw/3_0/jw304/schema"
	xmlns:jw323="http://www.istandaarden.nl/ijw/3_0/jw323/schema"
	xmlns:jw325="http://www.istandaarden.nl/ijw/3_0/jw325/schema"
	>

	<!-- iJw 3.0 CS108 version 2.2.8 (2021-01-25) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS108"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS108"/>
	</xsl:template>

	<xsl:template match="jw303:DeclaratieFactuurIdentificatie/ijw:DeclaratiePeriode" mode="CS108">
		<xsl:call-template name="cs108"/>
	</xsl:template>

	<xsl:template match="jw303:ProductPeriode" mode="CS108">
		<xsl:call-template name="cs108"/>
	</xsl:template>

	<xsl:template match="jw304:DeclaratieFactuurIdentificatie/ijw:DeclaratiePeriode" mode="CS108">
		<xsl:call-template name="cs108"/>
	</xsl:template>

	<xsl:template match="jw304:ProductPeriode" mode="CS108">
		<xsl:call-template name="cs108"/>
	</xsl:template>
	
	<xsl:template match="jw323:DeclaratiePeriode" mode="CS108">
		<xsl:call-template name="cs108"/>
	</xsl:template>

	<xsl:template match="jw323:ProductPeriode" mode="CS108">
		<xsl:call-template name="cs108"/>
	</xsl:template>

	<xsl:template match="jw325:ProductPeriode" mode="CS108">
		<xsl:call-template name="cs108"/>
	</xsl:template>

	<xsl:template name="cs108">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ijw:Einddatum" />
			<xsl:with-param name="pOther" select="ijw:Begindatum"/>
			<xsl:with-param name="pRule">CS108</xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis"
				select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'DeclaratieFactuurIdentificatie']/*[local-name() = 'FactuurDagtekening'] |
				ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening']"/>
			<xsl:with-param name="pOther" select="ijw:Einddatum"/>
			<xsl:with-param name="pRule">CS108</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
