<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ijw="http://www.istandaarden.nl/ijw/3_0/basisschema/schema"
		    xmlns:jw301="http://www.istandaarden.nl/ijw/3_0/jw301/schema"
		    xmlns:jw315="http://www.istandaarden.nl/ijw/3_0/jw315/schema"
		    xmlns:jw317="http://www.istandaarden.nl/ijw/3_0/jw317/schema"
		    xmlns:jw323="http://www.istandaarden.nl/ijw/3_0/jw323/schema"
		    >

    <!-- iJw 3.0 CS330 version 2.2.8 (2021-01-25) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CS330"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CS330"/>
    </xsl:template>

    <xsl:template match="jw301:Omvang/ijw:Eenheid" mode="CS330">
        <xsl:call-template name="checknvalue">
            <xsl:with-param name="pValues">21,81</xsl:with-param>
            <xsl:with-param name="pRule">CS330</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="jw315:Omvang/ijw:Eenheid" mode="CS330">
        <xsl:call-template name="checknvalue">
            <xsl:with-param name="pValues">21,81</xsl:with-param>
            <xsl:with-param name="pRule">CS330</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="jw317:TeWijzigenProduct/jw317:Omvang/ijw:Eenheid | jw317:NieuwProduct/jw317:Omvang/ijw:Eenheid" mode="CS330">
        <xsl:call-template name="checknvalue">
            <xsl:with-param name="pValues">21,81</xsl:with-param>
            <xsl:with-param name="pRule">CS330</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="jw323:Prestatie/jw323:Eenheid" mode="CS330">
        <xsl:call-template name="checknvalue">
            <xsl:with-param name="pValues">21,81</xsl:with-param>
            <xsl:with-param name="pRule">CS330</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>
